io.vertx.db2client

## Class DB2Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.db2client.DB2Exception

- All Implemented Interfaces:
    Serializable

      public class DB2Exception
      extends RuntimeException

  A `RuntimeException` signals that an error occurred.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DB2Exception(int errorCode, String sqlState)`
    `DB2Exception(String message, int errorCode, String sqlState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()` Get the error code in the error message sent from DB2 server.
    `String` | `getMessage()` Get the error message in the error message sent from DB2 server.
    `String` | `getSqlState()` Get the SQL state in the error message sent from DB2 server.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DB2Exception

          public DB2Exception(int errorCode,
                              String sqlState)

    - #### DB2Exception

          public DB2Exception(String message,
                              int errorCode,
                              String sqlState)

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Get the error code in the error message sent from DB2 server.
      Returns:
        the error code

    - #### getSqlState

          public String getSqlState()

      Get the SQL state in the error message sent from DB2 server.
      Returns:
        the SQL state

    - #### getMessage

          public String getMessage()

      Get the error message in the error message sent from DB2 server.
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        the error message

Copyright © 2022 Eclipse. All rights reserved.